// flow-typed signature: bfcd3f0824a94d239127431d59901626
// flow-typed version: <<STUB>>/@testing-library/user-event_v^7.1.2/flow_v0.115.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   '@testing-library/user-event'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module '@testing-library/user-event' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module '@testing-library/user-event/__tests__/react/click' {
  declare module.exports: any;
}

declare module '@testing-library/user-event/__tests__/react/dblclick' {
  declare module.exports: any;
}

declare module '@testing-library/user-event/__tests__/react/selectoptions' {
  declare module.exports: any;
}

declare module '@testing-library/user-event/__tests__/react/tab' {
  declare module.exports: any;
}

declare module '@testing-library/user-event/__tests__/react/type' {
  declare module.exports: any;
}

declare module '@testing-library/user-event/__tests__/vue/click' {
  declare module.exports: any;
}

declare module '@testing-library/user-event/__tests__/vue/dblclick' {
  declare module.exports: any;
}

declare module '@testing-library/user-event/__tests__/vue/selectoptions' {
  declare module.exports: any;
}

declare module '@testing-library/user-event/__tests__/vue/type' {
  declare module.exports: any;
}

declare module '@testing-library/user-event/dist' {
  declare module.exports: any;
}

declare module '@testing-library/user-event/lint-staged.config' {
  declare module.exports: any;
}

declare module '@testing-library/user-event/src' {
  declare module.exports: any;
}

// Filename aliases
declare module '@testing-library/user-event/__tests__/react/click.js' {
  declare module.exports: $Exports<'@testing-library/user-event/__tests__/react/click'>;
}
declare module '@testing-library/user-event/__tests__/react/dblclick.js' {
  declare module.exports: $Exports<'@testing-library/user-event/__tests__/react/dblclick'>;
}
declare module '@testing-library/user-event/__tests__/react/selectoptions.js' {
  declare module.exports: $Exports<'@testing-library/user-event/__tests__/react/selectoptions'>;
}
declare module '@testing-library/user-event/__tests__/react/tab.js' {
  declare module.exports: $Exports<'@testing-library/user-event/__tests__/react/tab'>;
}
declare module '@testing-library/user-event/__tests__/react/type.js' {
  declare module.exports: $Exports<'@testing-library/user-event/__tests__/react/type'>;
}
declare module '@testing-library/user-event/__tests__/vue/click.js' {
  declare module.exports: $Exports<'@testing-library/user-event/__tests__/vue/click'>;
}
declare module '@testing-library/user-event/__tests__/vue/dblclick.js' {
  declare module.exports: $Exports<'@testing-library/user-event/__tests__/vue/dblclick'>;
}
declare module '@testing-library/user-event/__tests__/vue/selectoptions.js' {
  declare module.exports: $Exports<'@testing-library/user-event/__tests__/vue/selectoptions'>;
}
declare module '@testing-library/user-event/__tests__/vue/type.js' {
  declare module.exports: $Exports<'@testing-library/user-event/__tests__/vue/type'>;
}
declare module '@testing-library/user-event/dist/index' {
  declare module.exports: $Exports<'@testing-library/user-event/dist'>;
}
declare module '@testing-library/user-event/dist/index.js' {
  declare module.exports: $Exports<'@testing-library/user-event/dist'>;
}
declare module '@testing-library/user-event/lint-staged.config.js' {
  declare module.exports: $Exports<'@testing-library/user-event/lint-staged.config'>;
}
declare module '@testing-library/user-event/src/index' {
  declare module.exports: $Exports<'@testing-library/user-event/src'>;
}
declare module '@testing-library/user-event/src/index.js' {
  declare module.exports: $Exports<'@testing-library/user-event/src'>;
}
